Qt 5.11 | Qt Sensors | C++ Classes | QLidReading

Qt 5.11.3 Reference Documentation

# QLidReading Class

The QLidReading class holds readings from the Lid sensor. More...

Header: | #include <QLidReading>
qmake: | QT += sensors
Since: | Qt 5.9
Inherits: | QSensorReading

- List of all members, including inherited members

## Properties

- backLidClosed : const bool
- frontLidClosed : const bool

- 1 property inherited from QSensorReading

## Public Functions

| QLidReading(QObject *parent = DECLARE_READING(QLidReading))
virtual | ~QLidReading()
bool | backLidClosed() const
bool | frontLidClosed() const
void | setBackLidClosed(bool closed)
void | setFrontLidClosed(bool closed)

## Reimplemented Public Functions

virtual void | copyValuesFrom(QSensorReading *other) override

- 4 public functions inherited from QSensorReading

## Signals

void | backLidChanged(bool closed)
void | frontLidChanged(bool closed)

## Detailed Description

The QLidReading class holds readings from the Lid sensor.

A normal laptop has what we call a front lid.

If the laptop can be converted to a tablet by rotating or closing the lid where the display is out, this is known as a back lid.

#### QLidReading Units

The Lid sensor can detect if a device's lid is closed or not. A lid can be a laptop, a laptop that converts to a tablet, or even a cover for a tablet or phone.

## Property Documentation

### backLidClosed : const bool

This property holds a value indicating whether the back lid is closed. A back lid can be when a convertable laptop is closed into to tablet mode without keyboard.

Access functions:

bool | backLidClosed() const

See also QLidReading Units.

### frontLidClosed : const bool

This property holds a value indicating whether the front lid is closed. A front lid would be a normal laptop lid.

Access functions:

bool | frontLidClosed() const

See also QLidReading Units.

## Member Function Documentation

### QLidReading::QLidReading(QObject *parent = DECLARE_READING(QLidReading))

Default constructs an instance of QLidReading.

### `[virtual]` QLidReading::~QLidReading()

Destroys the instance of QLidReading. The destructor is virtual.

### `[signal]` void QLidReading::backLidChanged(bool closed)

### `[override virtual]` void QLidReading::copyValuesFrom(QSensorReading *other)

### `[signal]` void QLidReading::frontLidChanged(bool closed)

### void QLidReading::setBackLidClosed(bool closed)

Sets the backLidClosed value to closed.

See also backLidClosed().

### void QLidReading::setFrontLidClosed(bool closed)

Sets the frontLidClosed value to closed.

See also frontLidClosed().